---
title: HTMLIFrameElement.referrerPolicy
slug: Web/API/HTMLIFrameElement/referrerPolicy
tags:
  - API
  - HTMLIFrameElement
  - Property
  - Reference
  - Referrer Policy
---
<div>{{APIRef}}</div>

<p>The <code><strong>HTMLIFrameElement</strong></code><strong><code>.referrerPolicy</code></strong> property reflects the HTML {{htmlattrxref("referrerpolicy","iframe")}} attribute of the {{HTMLElement("iframe")}} element defining which referrer is sent when fetching the resource.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>refStr</var> = <var>iframeElt</var>.referrerPolicy;
<var>iframeElt</var>.referrerPolicy = <var>refStr</var>;</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>no-referrer</dt>
 <dd>The {{HTTPHeader("Referer")}} header will be omitted entirely. No referrer information is sent along with requests.</dd>
 <dt>no-referrer-when-downgrade (default)</dt>
 <dd>This is the user agent's default behavior if no policy is specified. The URL is sent as a referrer when the protocol security level stays the same (HTTP→HTTP, HTTPS→HTTPS), but isn't sent to a less secure destination (HTTPS→HTTP).</dd>
 <dt>origin</dt>
 <dd>Only send the origin of the document as the referrer in all cases.<br>
 The document <code>https://example.com/page.html</code> will send the referrer <code>https://example.com/</code>.</dd>
 <dt>origin-when-cross-origin</dt>
 <dd>Send a full URL when performing a same-origin request, but only send the origin of the document for other cases.</dd>
 <dt>same-origin</dt>
 <dd>A referrer will be sent for <a href="/en-US/docs/Web/Security/Same-origin_policy">same-site origins</a>, but cross-origin requests will contain no referrer information.</dd>
 <dt>strict-origin</dt>
 <dd>Only send the origin of the document as the referrer when the protocol security level stays the same (HTTPS→HTTPS), but don't send it to a less secure destination (HTTPS→HTTP).</dd>
 <dt>strict-origin-when-cross-origin</dt>
 <dd>Send a full URL when performing a same-origin request, only send the origin when the protocol security level stays the same (HTTPS→HTTPS), and send no header to a less secure destination (HTTPS→HTTP).</dd>
 <dt>unsafe-url</dt>
 <dd>Send a full URL when performing a same-origin or cross-origin request.
 <div class="note">This policy will leak origins and paths from TLS-protected resources to insecure origins. Carefully consider the impact of this setting.</div>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js;highlight:[3]">var iframe = document.createElement("iframe");
iframe.src = "/";
iframe.referrerPolicy = "unsafe-url";
var body = document.getElementsByTagName("body")[0];
body.appendChild(iframe); // Fetch the image using the complete URL as the referrer
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Referrer Policy', '#referrer-policy-delivery-referrer-attribute', 'referrerpolicy attribute')}}</td>
   <td>{{Spec2('Referrer Policy')}}</td>
   <td>Added the <code>referrerPolicy</code> attribute.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-iframe-referrerpolicy', 'HTMLIFrameElement: referrerPolicy')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLIFrameElement.referrerPolicy")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLAnchorElement.referrerPolicy")}}, {{domxref("HTMLAreaElement.referrerPolicy")}}, and {{domxref("HTMLAreaElement.referrerPolicy")}}.</li>
</ul>
